Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface RichTextArea.ExtendedFormatter

All Superinterfaces:
  RichTextArea.BasicFormatter

Enclosing class:
  RichTextArea

    public static interface RichTextArea.ExtendedFormatter

extends RichTextArea.BasicFormatter

This interface is used to access full formatting options, when available. If the implementation supports full formatting, then `RichTextArea.getExtendedFormatter()` will return an instance of this class.

Method Summary
`void` | `createLink(java.lang.String url)` Creates a link to the supplied URL.
`void` | `insertHorizontalRule()` Inserts a horizontal rule.
`void` | `insertImage(java.lang.String url)` Inserts an image element.
`void` | `insertOrderedList()` Starts an numbered list.
`void` | `insertUnorderedList()` Starts an bulleted list.
`boolean` | `isStrikethrough()` Is the current region strikethrough?
`void` | `leftIndent()` Left indent.
`void` | `removeFormat()` Removes all formatting on the selected text.
`void` | `removeLink()` Removes any link from the selected text.
`void` | `rightIndent()` Right indent.
`void` | `toggleStrikethrough()` Toggles strikethrough.

Methods inherited from interface com.google.gwt.user.client.ui.RichTextArea.BasicFormatter
`getBackColor, getForeColor, isBold, isItalic, isSubscript, isSuperscript, isUnderlined, selectAll, setBackColor, setFontName, setFontSize, setForeColor, setJustification, toggleBold, toggleItalic, toggleSubscript, toggleSuperscript, toggleUnderline`

Method Detail

### createLink

    void createLink(java.lang.String url)

  Creates a link to the supplied URL.

  Parameters:
    `url` - the URL to be linked to

### insertHorizontalRule

    void insertHorizontalRule()

  Inserts a horizontal rule.

### insertImage

    void insertImage(java.lang.String url)

  Inserts an image element.

  Parameters:
    `url` - the url of the image to be inserted

### insertOrderedList

    void insertOrderedList()

  Starts an numbered list. Indentation will create nested items.

### insertUnorderedList

    void insertUnorderedList()

  Starts an bulleted list. Indentation will create nested items.

### isStrikethrough

    boolean isStrikethrough()

  Is the current region strikethrough?

  Returns:
    true if the current region is strikethrough

### leftIndent

    void leftIndent()

  Left indent.

### removeFormat

    void removeFormat()

  Removes all formatting on the selected text.

### removeLink

    void removeLink()

  Removes any link from the selected text.

### rightIndent

    void rightIndent()

  Right indent.

### toggleStrikethrough

    void toggleStrikethrough()

  Toggles strikethrough.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD